# Maintainer: OpenStage Linux <openstagelinux@gmail.com>

###############################
### BASED ON MANJARO-HELLO ####
###############################

pkgname=openstage-hello
pkgver=0.6.7
pkgrel=2
pkgdesc="A tool providing access to documentation,support and installation for new Openstage users."
url="https://www.openstagelinux.org"
arch=('any')
license=('GPL')
depends=('gtk3' 'python-gobject')
makedepends=('git')
optdepends=('calamares: universal installer framework'
            'gnome-layout-switcher: convenient GUI to select Gnome layout and more')
_web=web-installer-url-handler
#source=("git+$url.git")
source=("$pkgname.tar.gz"
        "${pkgname%-*}.tar.gz"
        "$_web.tar.gz")
md5sums=('SKIP'
         'SKIP'
         'SKIP')

package() {
    cd $pkgname
    install -dm755 $pkgdir/usr/share/$pkgname
    cp -r data $pkgdir/usr/share/$pkgname
    cp -r ui $pkgdir/usr/share/$pkgname
    install -Dm644 $pkgname.desktop $pkgdir/etc/skel/.config/autostart/$pkgname.desktop
    install -Dm644 $pkgname.desktop $pkgdir/usr/share/applications/$pkgname.desktop
    install -Dm755 src/openstage_hello.py $pkgdir/usr/bin/$pkgname
    install -Dm755 src/calamares_polkit $pkgdir/usr/bin

#    cd po
#    for lang in $(ls *.po); do
#        lang=${lang::-3}
#        install -dm755 $pkgdir/usr/share/locale/${lang//_/-}/LC_MESSAGES
#        msgfmt -c -o $pkgdir/usr/share/locale/${lang//_/-}/LC_MESSAGES/$pkgname.mo $lang.po
#    done
      
      install -dm755 $pkgdir/usr/share/icons/openstage
      cp -r $srcdir/${pkgname%-*}/solid $pkgdir/usr/share/icons/${pkgname%-*}
      install -dm755 $pkgdir/usr/share/icons/hicolor/{16x16/apps,22x22/apps,24x24/apps,32x32/apps,48x48/apps,64x64/apps,96x96/apps,128x128/apps,scalable/apps}
  
  cd $pkgdir/usr/share/icons/hicolor  
  src=/usr/share/icons/openstage/solid  
  ln -s $src/16x16.png 16x16/apps/openstage.png
  ln -s $src/22x22.png 22x22/apps/openstage.png
  ln -s $src/24x24.png 24x24/apps/openstage.png
  ln -s $src/32x32.png 32x32/apps/openstage.png
  ln -s $src/48x48.png 48x48/apps/openstage.png
  ln -s $src/64x64.png 64x64/apps/openstage.png
  ln -s $src/96x96.png 96x96/apps/openstage.png
  ln -s $src/128x128.png 128x128/apps/openstage.png
  ln -s $src/solid.svg scalable/apps/openstage.svg
  ln -s $src/solid.svg scalable/apps/openstagelinux.svg
  
  install -Dm755 $srcdir/$_web/$_web -t "$pkgdir/usr/share/webapps/software-center-web-jak"
  install -Dm644 $srcdir/$_web/$_web.desktop -t "$pkgdir/usr/share/applications"
}
